Eherina\Domain\Event:
  type: entity
  table: eherina_event
  id:
    uuid:
      type: string
      unique: true
      id: true
  fields:
    name:
      type: string
      nullable: true
    description:
      type: text
      nullable: true
    date:
      type: datetime
      nullable: false
    price:
      type: integer
      nullable: true
    numberOfPlaces:
      type: integer
      nullable: true
    status:
      type: string
      nullable: true
    createdAt:
      type: datetime
      nullable: false
    url:
      type: string
      nullable: true

  manyToOne:
    product:
      targetEntity: Eherina\Domain\Product
      cascade: ['persist']
      inversedBy: events
      joinColumn:
        name: product_uuid
        referencedColumnName: uuid

    expert:
      targetEntity: Eherina\Domain\Expert
      cascade: ['persist']
      inversedBy: events
      joinColumn:
        name: expert_uuid
        referencedColumnName: uuid
